import type { JSX } from '../../stencil-public-runtime';
import type { ButtonProps, FocusableElement, HideErrorPropType, IconsHorizontalPropType, IdPropType, InputFileAPI, InputFileStates, InputTypeOnDefault, LabelWithExpertSlotPropType, MsgPropType, NamePropType, ShortKeyPropType, Stringified, SyncValueBySelectorPropType, TooltipAlignPropType } from '../../schema';
export declare class KolInputFile implements InputFileAPI, FocusableElement {
    private readonly host?;
    private inputRef?;
    private readonly catchRef;
    getValue(): Promise<FileList | null | undefined>;
    focus(): Promise<void>;
    kolFocus(): Promise<void>;
    render(): JSX.Element;
    private readonly controller;
    _accept?: string;
    _accessKey?: string;
    _alert?: boolean;
    _disabled?: boolean;
    _error?: string;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: IconsHorizontalPropType;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _msg?: Stringified<MsgPropType>;
    _multiple?: boolean;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _required?: boolean;
    _shortKey?: ShortKeyPropType;
    _smartButton?: Stringified<ButtonProps>;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: string;
    state: InputFileStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccept(value?: string): void;
    validateAccessKey(value?: string): void;
    validateAlert(value?: boolean): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcons(value?: IconsHorizontalPropType): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateMultiple(value?: boolean): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateRequired(value?: boolean): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSmartButton(value?: ButtonProps | string): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: string): void;
    componentWillLoad(): void;
    private onChange;
    private onInput;
}
